using BPA.Aliyun.OSS.Options;
using BPA.SAAS.Manage.Application.System.Dtos;
using BPA.SAAS.Manage.Application.System.Interface;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.System
{
    [ApiDescriptionSettings("SYS", Tag = "获取阿里云参数")]
    public class AliyunOssServices : ITransient, IDynamicApiController
    {
        IAliyunOssService _aliyunOssService;
        public AliyunOssServices(IAliyunOssService aliyunOssService)
        {
            _aliyunOssService = aliyunOssService;
        }

        [HttpPost("/api/systemconfig/GeneratePostPolicy"), ApiDescriptionSettings(SplitCamelCase = false), AllowAnonymous, NonUnify]
        public async Task<AliyunOssPostPolicyResponse> GeneratePostPolicyAsync(Aliyun0ssGeneratePostPolicyRequest request)
        {
            return await _aliyunOssService.GeneratePostPolicyAsync(request);
        }
    }
}
